Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.At<Next>

Type Parameters:
  `Next` - The interface that is to be returned when the request is completed

Enclosing class:
  Graph

    public static interface Graph.At<Next>

The interface for defining the node upon which which a request operates.

Method Summary
`Next` | `at(Iterable<Property> idProperties)` Specify the unique identification properties that identify the node upon which the request is to operate.
`Next` | `at(Location to)` Specify the location of the node upon which the request is to operate.
`Next` | `at(Path to)` Specify the path of the node upon which the request is to operate.
`Next` | `at(Property idProperty)` Specify the unique identification property that identifies the node upon which the request is to operate.
`Next` | `at(Property firstIdProperty, Property... additionalIdProperties)` Specify the unique identification properties that identify the node upon which the request is to operate.
`Next` | `at(String toPath)` Specify the path of the node upon which the request is to operate.
`Next` | `at(UUID to)` Specify the UUID of the node upon which the request is to operate.

Method Detail

### at

    Next at(Location to)

  Specify the location of the node upon which the request is to operate.

  Parameters:
    `to` - the location of the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(String toPath)

  Specify the path of the node upon which the request is to operate.

  Parameters:
    `toPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(Path to)

  Specify the path of the node upon which the request is to operate.

  Parameters:
    `to` - the path of the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(UUID to)

  Specify the UUID of the node upon which the request is to operate.

  Parameters:
    `to` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(Property idProperty)

  Specify the unique identification property that identifies the node upon which the request is to operate.

  Parameters:
    `idProperty` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(Property firstIdProperty,
            Property... additionalIdProperties)

  Specify the unique identification properties that identify the node upon which the request is to operate.

  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### at

    Next at(Iterable<Property> idProperties)

  Specify the unique identification properties that identify the node upon which the request is to operate.

  Parameters:
    `idProperties` - the properties that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.